summaryrefslogtreecommitdiff
path: root/test/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'test/Makefile')
-rw-r--r--test/Makefile7
1 files changed, 4 insertions, 3 deletions
diff --git a/test/Makefile b/test/Makefile
index 9a61acb..eefa382 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -52,10 +52,11 @@ repos.stamp: $(repos)
root-tests: repos.stamp
@echo "== Testing `$(APK) --version` (tests that require root permission) =="
- @for i in test*.sh; do \
+ @failed=0; for i in test*.sh; do \
rm -f $${i%.sh}.ok ;\
- $(SUDO) $(MAKE) --no-print-directory $${i%.sh}.ok SYSREPO=$(SYSREPO); \
- done
+ $(SUDO) $(MAKE) --no-print-directory $${i%.sh}.ok SYSREPO=$(SYSREPO) || failed=1; \
+ done; \
+ return $$failed
tests:
@echo "== Testing `$(APK) --version` =="